Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
sam8xd

"[Yêu cầu] Entmake đối tượng như dùng lệnh xclip cắt block"

Các bài được khuyến nghị

sam8xd    8

Mình có 1 cái block sẵn rồi và một đường bao

Bình thường mình dùng lệnh xclip để cắt cái block đó theo đường bao.

Nhưng bây giờ muốn dùng entmake cho nhanh thì làm thế nào nhỉ?

Thanks ace!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Mình có 1 cái block sẵn rồi và một đường bao

Bình thường mình dùng lệnh xclip để cắt cái block đó theo đường bao.

Nhưng bây giờ muốn dùng entmake cho nhanh thì làm thế nào nhỉ?

Thanks ace!

Xclip thì nó vẫn là bolck sau khi cắt. Vậy câu đỏ nghĩa là gì?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
sam8xd    8

đây là block

 

((-1 . <Entity name: 7dd0d1d8>) (0 . "INSERT") (330 . <Entity

name: 7ef54cf8>) (5 . "4AB") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .

"0") (100 . "AcDbBlockReference") (2 . "123") (10 446401.0 2.22206e+006 0.0)

(41 . 1.0) (42 . 1.0) (43 . 1.0) (50 . 0.0) (70 . 0) (71 . 0) (44 . 0.0) (45 .

0.0) (210 0.0 0.0 1.0))

đây là đối tượng block sau khi dùng lệnh xclip

 

((-1 . <Entity name: 7dd0d1d8>) (0 . "INSERT") (5 . "4AB") (102

. "{ACAD_XDICTIONARY") (360 . <Entity name: 7dd0d200>) (102 . "}") (330 .

<Entity name: 7ef54cf8>) (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 .

"0") (100 . "AcDbBlockReference") (2 . "123") (10 446401.0 2.22206e+006 0.0)

(41 . 1.0) (42 . 1.0) (43 . 1.0) (50 . 0.0) (70 . 0) (71 . 0) (44 . 0.0) (45 .

0.0) (210 0.0 0.0 1.0))

mình muốn tạo luôn đối tượng sau bằng entmake được không nhỉ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Thaistreetz    515

Cái này khó đấy. Mình đang nghiên cứu cách đưa tỷ lệ (annotation scale) vào đối tượng, hay nói cách khác là mình muốn make được các đối tượng có chứa thuộc tính annotative. cách thức của nó cũng giống hệt như điều bạn muốn làm, nhưng hiện tại mình chưa thành công. Đây là công việc phải can thiệp vào DICTIONARY và Xrecord. sam8xd cứ nghiên cứu đi nhé, có gì chúng ta cùng trao đổi thông tin

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
sam8xd    8

Khó lắm bác ạ. Tự làm thì em chịu rồi, truy cái mã 360 đến lần thứ 3 mới thấy bóng dáng đường bao của mình :o .

Lục tung internet cũng chẳng thấy

Thôi thì dùng xclip zậy :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×